<?php
/**
 * @file
 * Drop Jobs Candidate admin settings.
 */

/**
 * Form callback
 *
 * @see drop_jobs_candidate_menu().
 */
function drop_jobs_candidate_settings() {
  $form = array();

  $form['wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('Candidate settings'),
    '#collapsible' => FALSE,
  );

  $form['wrapper']['drop_jobs_candidate_hide_incomplete'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide incomplete résumés'),
    '#description' => t('By default all résumés are displayed, unless they are explicitly set to inactive. If you check this option, you can have greater control over which résumés are displayed.'),
    '#default_value' => variable_get_value('drop_jobs_candidate_hide_incomplete'),
  );

  $form['wrapper']['resume_completeness'] = array(
    '#type' => 'fieldset',
    '#title' => t('Résumé completion'),
    '#description' => t('These fields are required for a résumé to be considered "Complete".'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#states' => array(
      'visible' => array(
        'input[name="drop_jobs_candidate_hide_incomplete"]' => array('checked' => TRUE),
      ),
    ),
  );

  $options = array();
  $field_collections = array();

  // Add fields to options
  foreach (drop_jobs_core_entity_get_fields('profile2', 'candidate', FALSE) as $field => $info) {
    if ($field !== 'field_candidate_complete') {
      $options[$field] = $info['label'];

      if ($info['type'] === 'field_collection_item') {
        $field_collections[] = $field;
      }
    }
  }

  // @TODO add a checkbox for each Field Collection's attached fields.

  $form['wrapper']['resume_completeness']['drop_jobs_candidate_fields'] = array(
    '#title' => t('Required Fields'),
    '#type' => 'checkboxes',
    '#options' => $options,
    '#default_value' => variable_get_value('drop_jobs_candidate_fields'),
  );

  return system_settings_form($form);
}